﻿$name = "wudt"
$url  = "http://download-codeplex.sec.s-msft.com/Download/Release?ProjectName=wudt&DownloadId=96313&FileTime=129048694816630000&Build=20959"
$kind = "MSI"
$silent = "/QN"

$tools = Split-Path $MyInvocation.MyCommand.Definition
$archive = Join-Path $tools "wudt.exe"
$ignore = Join-Path $tools "wudt.exe.ignore"
$target  = Join-Path $tools "wudt.msi"

try { 
  # The package is a self-extracting CAB
  Get-ChocolateyWebFile $name $archive $url
  & $archive /Q /T:"$tools" /C

  New-Item $ignore -Type "File" -Force | Out-Null

  Install-ChocolateyInstallPackage $name $kind $silent $target

  Write-ChocolateySuccess $name
} 
catch {
  Write-ChocolateyFailure $name $_.Exception.Message
  throw 
}
